Blame SOURCES/0042-tests-Set-optimal-blocks-to-64-for-scsi_debug-device.patch

fc4a62
From f648310fbc24186395e1864a48571982e1588435 Mon Sep 17 00:00:00 2001
fc4a62
From: "Brian C. Lane" <bcl@redhat.com>
fc4a62
Date: Tue, 23 Aug 2016 08:55:18 -0700
fc4a62
Subject: [PATCH] tests: Set optimal blocks to 64 for scsi_debug devices
fc4a62
 (#1359682)
fc4a62
fc4a62
The Linux kernel 4.5 changed the optimal blocks count from 64 to 1024
fc4a62
This causes tests using scsi_debug devices to fail because of alignment
fc4a62
issues. Set the opt_blks to 64 so that we have consistent behavior
fc4a62
across kernels.
fc4a62
fc4a62
Resolves: rhbz#1359682
fc4a62
---
fc4a62
 tests/t-local.sh | 2 +-
fc4a62
 1 file changed, 1 insertion(+), 1 deletion(-)
fc4a62
fc4a62
diff --git a/tests/t-local.sh b/tests/t-local.sh
fc4a62
index 5305865..93ee0f7 100644
fc4a62
--- a/tests/t-local.sh
fc4a62
+++ b/tests/t-local.sh
fc4a62
@@ -98,7 +98,7 @@ scsi_debug_setup_()
fc4a62
   # It is not trivial to determine the name of the device we're creating.
fc4a62
   # Record the names of all /sys/block/sd* devices *before* probing:
fc4a62
   touch stamp
fc4a62
-  modprobe scsi_debug "$@" || { rm -f stamp; return 1; }
fc4a62
+  modprobe scsi_debug opt_blks=64 "$@" || { rm -f stamp; return 1; }
fc4a62
   scsi_debug_modprobe_succeeded_=1
fc4a62
   test "$VERBOSE" = yes \
fc4a62
     && warn_ $ME_ modprobe scsi_debug succeeded
fc4a62
-- 
fc4a62
2.7.4
fc4a62